import QtQuick 2.0
import Sailfish.Silica 1.0
import "../helpers/db.js" as Favorites

Page {
    Flickable {
        id: flick
        width:parent.width
        height: parent.height - Theme.paddingLarge * 3
        anchors.top: parent.top
        anchors.topMargin: Theme.paddingLarge * 3
        contentHeight: column1.height

        Column{
            id: column1
            width: parent.width
            spacing: Theme.paddingLarge

            Image{
                source: "../images/community.png"
                height: Theme.itemSizeHuge
                width: height
                fillMode: Image.PreserveAspectFit
                anchors {
                    horizontalCenter: parent.horizontalCenter
                }
            }

            Label {
                width: parent.width-70
                font.pixelSize: Theme.fontSizeSmall
                text: qsTr("Working on more settings.....")
                anchors.horizontalCenter: parent.horizontalCenter
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignHCenter
                height: 200
                wrapMode: Text.WordWrap
            }
            Label {
                width: parent.width-70
                font.pixelSize: Theme.fontSizeLarge
                text: qsTr("WARNING! THis is for debugging or corrupt database. Only delete db if it is not working!!!")
                anchors.horizontalCenter: parent.horizontalCenter
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignHCenter
                wrapMode: Text.WordWrap
            }
            Button {
                text: qsTr("Delete DB")
                onClicked: Favorites.dropTable()
                anchors.horizontalCenter: parent.horizontalCenter
            }
        }
    }
}
